# $Id: perl-Devel-Coverage.spec 3130 2005-04-16 08:49:34Z dries $
# Authority: dries
# Upstream: Randy J Ray <rjray$blackperl,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Devel-Coverage

Summary: Perform coverage analysis
Name: perl-Devel-Coverage
Version: 0.2
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Devel-Coverage/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/R/RJ/RJRAY/Devel-Coverage-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Devel::Coverage is a coverage analysis tool for Perl code. It is inspired
by several factors, most notable my personal high consideration for the
PureCoverage tool (formerly of PureAtria, now from Rational Software)
and my frustration at finding bugs in my code that were hidden in blocks
that were never reached in test cases. That's what a coverage analysis tool
does-- it shows you what parts of your code were and were not reached over
the course of one or more runs.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog README
%doc %{_mandir}/man?/*
%{_bindir}/coverperl
%{perl_vendorlib}/Devel/Coverage.pm
%{perl_vendorlib}/Devel/Coverage

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.2-1 - 3130/dries
- Initial package.
